Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:29 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:29 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 4:29 PM
Herald added a subscriber: cfe-commits. · View Herald Transcript
ctetreau updated this revision to Diff 254570.Apr 2 2020, 11:20 AM

Note that this is NFC

sdesmalen accepted this revision.Apr 6 2020, 8:37 AM

LGTM!

clang/lib/CodeGen/CGBuiltin.cpp
5830–5831

nit: Can you pull this into a separate variable so you only have to cast once?
(possibly RTy can be re-used for this)

This revision is now accepted and ready to land.Apr 6 2020, 8:37 AM
ctetreau updated this revision to Diff 255390.Apr 6 2020, 9:59 AM

Address code review issues

ctetreau marked an inline comment as done.Apr 6 2020, 10:02 AM
efriedma added inline comments.Apr 9 2020, 9:02 PM
clang/lib/CodeGen/PatternInit.cpp
60

It would make sense to fix this to use getScalarType().

ctetreau updated this revision to Diff 256611.Apr 10 2020, 10:49 AM

Address code review issues

This revision was automatically updated to reflect the committed changes.